{{page-title @model.campaign.name}}

<div class="main-container {{if this.fullscreen.isEnabled ' overflow-hidden'}}">
  <div class="container pt-4 mb-5 campaign-article">
    <div class="row">
      <div class="col">
        <h1>
          {{this.title}}
          <VisibilityIcon @value={{@model.campaign.visibility.isPublic}} />
        </h1>
      </div>
    </div>

    <div class="row subtitle-container clearfix">
      <div class="col">
        {{#if @model.campaign.canEdit}}
          <div class="btn-group mb-1 float-end btn-manage-actions">
            {{#if @model.campaign.visibility.isPublic}}
              <Input::Button class="btn btn-outline-secondary btn-manage-unpublish" @action={{this.unpublish}}>
                {{capitalize (t "make private")}}
              </Input::Button>
            {{else}}
              <Input::Button class="btn btn-outline-secondary btn-manage-publish" @action={{this.publish}}>
                {{capitalize (t "make public")}}
              </Input::Button>
            {{/if}}

            <Dropdown @isDropdownToggle={{true}} @toggleClass="btn-outline-secondary">
              <ModelActions::Record @record={{@model.campaign}} />
            </Dropdown>
          </div>
        {{/if}}

        <Breadcrumbs @value={{this.breadcrumbs}} />
      </div>
    </div>

    <div class="row">
      <div class="col order-1 order-lg-0 pb-5">
        <Article::Viewer @value={{this.contentBlocks}} />
        <View::CampaignForm @state={{this.s}} @model={{@model}} @onChangeState={{this.changeState}} @value={{this.formPageCol}} />
      </div>

      <div class="col col-12 col-lg-4 mb-3">
        <div class="cover" style={{this.coverStyle}}></div>
      </div>
    </div>
  </div>
</div>